Diff for /wikisrc/adobe_flash.mdwn between versions 1.1 and 1.2

version 1.1, 2011/11/21 03:22:58 version 1.2, 2012/02/05 07:14:36
Line 1 Line 1
 Adobe Flash Flash support is available in native NetBSD build browsers such as Mozilla, Netscape, Seamonkey, Firefox and also in Opera (Linux emulation). Please enable official-mozilla-branding in pkgsrc, if you wish to have official Mozilla Branding (results in Firefox User Agent, instead of mozilla buildname, like for exmaple Minefield.) In order to enable flash support you have to do (or check) following steps: 1. Linux emulation needs the folowing addition to **/etc/fstab**:  Adobe Flash Flash support is available in native NetBSD build browsers such as Mozilla, Netscape, Seamonkey, Firefox and also in Opera (Linux emulation). Please enable official-mozilla-branding in pkgsrc, if you wish to have official Mozilla Branding (results in Firefox User Agent, instead of mozilla buildname, like for exmaple Minefield.) In order to enable flash support you have to do (or check) following steps: 1. Linux emulation needs the folowing addition to **/etc/fstab**: 
          
     procfs      /usr/pkg/emul/linux/proc     procfs   rw,linux      procfs      /usr/pkg/emul/linux/proc     procfs   rw,linux
          
   
 Some Linux programs are expecting this to be available. 2. Edit **/etc/mk.conf** file to have:  Some Linux programs are expecting this to be available. 2. Edit **/etc/mk.conf** file to have: 
          
     ACCEPTABLE_LICENSES+=flash-license      ACCEPTABLE_LICENSES+=flash-license
          
   
 This will accept Adobe's EULA. Please read it before you do. 3. Install the actual flash plugin now, it will automatically install the required Linux compatibility files:  This will accept Adobe's EULA. Please read it before you do. 3. Install the actual flash plugin now, it will automatically install the required Linux compatibility files: 
          
     # cd /usr/pkgsrc/multimedia/adobe-flash-plugin      # cd /usr/pkgsrc/multimedia/adobe-flash-plugin
     # make && make install      # make && make install
          
   
 4. Run ldconfig  4. Run ldconfig 
     <pre><code>      <pre><code>
     # chroot /usr/pkg/emul/linux /bin/bash      # chroot /usr/pkg/emul/linux /bin/bash
     # ldconfig      # ldconfig
     # exit      # exit
     </code></pre>      </code></pre>
   
 5. Install the plugin for _firefox_:  5. Install the plugin for _firefox_: 
     <pre><code>      <pre><code>
     # nspluginwrapper -v -i /usr/pkg/lib/netscape/plugins/libflashplayer.so      # nspluginwrapper -v -i /usr/pkg/lib/netscape/plugins/libflashplayer.so
     </code></pre>      </code></pre>
   
 For flash support in _Opera_ browser:  For flash support in _Opera_ browser: 
          
     # cd /usr/pkgsrc/www/opera-plugins      # cd /usr/pkgsrc/www/opera-plugins
     # make && make install      # make && make install
          
   
 Tell Opera where to find the plugins (You only need to do this if you have older than opera-9.63nb1):  Tell Opera where to find the plugins (You only need to do this if you have older than opera-9.63nb1): 
          
     $ echo '/usr/pkg/lib/netscape/plugins=1' >> ~/.opera/pluginpath.ini      $ echo '/usr/pkg/lib/netscape/plugins=1' >> ~/.opera/pluginpath.ini
          
   
 6. Check installation:  6. Check installation: 
          
     [http://www.adobe.com/software/flash/about/](http://www.adobe.com/software/flash/about/)      [http://www.adobe.com/software/flash/about/](http://www.adobe.com/software/flash/about/)
          

Removed from v.1.1  
changed lines
  Added in v.1.2


CVSweb for NetBSD wikisrc <wikimaster@NetBSD.org> software: FreeBSD-CVSweb